<div class="col-g-12">
  <div class="ui-g-12">
    <div class="ui-g-12">
      <button
        pButton
        type="submit"
        label="Filter"
        icon="fa-filter"
        class="ui-button-primary flat-label-button"
        (click)="filter()"
      ></button>
    </div>
    <div class="ui-g-12">
      <p-tabView>
        <p-tabPanel header="New">
          <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
              <input
                [hidden]="internal !== 'TEKNIK'"
                type="text"
                class="form-control"
                [(ngModel)]="currentSearch"
                id="currentSearch"
                name="currentSearch"
                placeholder="Please Insert BBM Number or Name Supplier Or Code Supplier Or No PO"
              />
              <input
                [hidden]="internal === 'TEKNIK'"
                type="text"
                class="form-control"
                [(ngModel)]="currentSearch"
                id="currentSearch"
                name="currentSearch"
                placeholder="Please Insert BBM Number Or Code Supplier Or No PO"
              />
              <button
                class="input-group-addon btn btn-info flat-style-button"
                (click)="searchNew(currentSearch)"
                *ngIf="currentSearch"
              >
                <span class="fa fa-search"></span>
              </button>
              <button
                class="input-group-addon btn btn-danger flat-style-button"
                (click)="clear()"
                *ngIf="currentSearch"
              >
                <span class="fa fa-trash-o"></span>
              </button>
            </div>
          </form>
          <br />

          <p-dataTable
            *ngIf="internal === 'TEKNIK'"
            [value]="newBBMTeknik"
            [(selection)]="selected"
            [editable]="true"
            [rows]="itemsPerPage"
            [headerCheckboxToggleAllPages]="true"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10, 15, 20]"
            [totalRecords]="totalItemsNew"
            [responsive]="true"
            [lazy]="true"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItemsNew"
            dataKey="no_bbm"
            expandableRows="false"
            rowHover="true"
            (onLazyLoad)="loadDataLazy($event)"
          >
            <p-header>
              <div class="d-flex flex-row-reverse">
                <div class="nav-item">
                  <div>
                    <form name="searchForm" class="form-inline">
                      <div class="input-group w-70 mt-2">
                        <div class="btn-filter-wrapper">
                          <button
                            (click)="processToNotAvailable()"
                            [disabled]="selected?.length == 0"
                            type="button"
                            class="btn btn-primary btn-filter"
                          >
                            <span>Not Approve</span>
                          </button>
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
                <div class="nav-item">
                  <div>
                    <form name="searchForm" class="form-inline">
                      <div class="input-group w-70 mt-2">
                        <div class="btn-filter-wrapper">
                          <button
                            (click)="createRequest()"
                            [disabled]="selected?.length == 0"
                            type="button"
                            class="btn btn-primary btn-filter"
                          >
                            <span>Approve</span>
                          </button>
                          &nbsp; &nbsp;
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </p-header>
            <p-column
              selectionMode="multiple"
              [style]="{ width: '38px' }"
            ></p-column>
            <p-column
              header="{{ 'global.field.sequence' | translate }}"
              [style]="{ width: '70px', 'text-align': 'center' }"
            >
              <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{ rowIndex + 1 }}
              </ng-template>
            </p-column>
            <p-column header="No BBM">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_bbm }}
              </ng-template>
            </p-column>
            <p-column header="Tanggal BBM">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.tgl_bbm | date : "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="No. PP">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_pp }}
              </ng-template>
            </p-column>
            <p-column header="No. PO">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_po }}
              </ng-template>
            </p-column>
            <p-column header="Pemasok">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.supplier }}
              </ng-template>
            </p-column>
            <p-column header="No SJ">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_sj }}
              </ng-template>
            </p-column>
            <p-column header="Tgl SJ">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.tgl_sj | date : "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Status">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.status1 }}
              </ng-template>
            </p-column>
            <p-column header="Di Buat Oleh">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.iduser }}
              </ng-template>
            </p-column>
            <p-column
              header="Action"
              [style]="{ width: '150px', 'text-align': 'center' }"
            >
              <ng-template let-rowData="rowData" pTemplate="body">
                <button
                  pButton
                  type="submit"
                  (click)="lihatBBMT(rowData)"
                  icon="fa-eye"
                  pTooltip="Preview Detail BBM"
                  class="flat-button"
                ></button>
              </ng-template>
            </p-column>
            <ng-template
              let-rowData
              let-rowIndex="rowIndex"
              pTemplate="rowexpansion"
            >
            </ng-template>
          </p-dataTable>

          <p-dataTable
            *ngIf="internal !== 'TEKNIK'"
            [value]="newBBM"
            [(selection)]="selected"
            [editable]="true"
            [rows]="itemsPerPage"
            [headerCheckboxToggleAllPages]="true"
            [totalRecords]="totalItemsNew"
            [responsive]="true"
            [lazy]="true"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItemsNew"
            dataKey="no_bbm"
            expandableRows="false"
            rowHover="true"
            (onLazyLoad)="loadDataLazy($event)"
          >
            <p-header>
              <div class="d-flex flex-row-reverse">
                <div class="nav-item">
                  <div>
                    <form name="searchForm" class="form-inline">
                      <div class="input-group w-70 mt-2">
                        <div class="btn-filter-wrapper">
                          <button
                            (click)="createRequest()"
                            [disabled]="selected?.length == 0"
                            type="button"
                            class="btn btn-primary btn-filter"
                          >
                            <span>Approve</span>
                          </button>
                          &nbsp; &nbsp;
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </p-header>
            <p-column
              selectionMode="multiple"
              [style]="{ width: '38px' }"
            ></p-column>
            <p-column
              header="{{ 'global.field.sequence' | translate }}"
              [style]="{ width: '70px', 'text-align': 'center' }"
            >
              <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{ rowIndex + 1 }}
              </ng-template>
            </p-column>
            <!-- <a [routerLink]="['../../approval-job-order-edit/'+ jobOrder.idOrder]" (click)="gotoDetail(jobOrder)" style="color:black;"></a> -->
            <p-column header="No BBM">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_bbm }}
              </ng-template>
            </p-column>
            <p-column header="Tanggal BBM">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.tgl_bbm | date : "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Nomor PO">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_po }}
              </ng-template>
            </p-column>
            <p-column header="Supplier">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.kd_supplier }} - {{ rowData.nm_supplier }}
              </ng-template>
            </p-column>
            <p-column header="No Surat Jalan">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_sj_supplier }}
              </ng-template>
            </p-column>
            <p-column header="Tanggal Surat Jalan">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.tgl_sj_supplier | date : "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Dibuat Oleh">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.iduser }}
              </ng-template>
            </p-column>
            <p-column header="Menyetujui">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.id_app }}
              </ng-template>
            </p-column>
            <p-column
              header="Action"
              [style]="{ width: '150px', 'text-align': 'center' }"
            >
              <ng-template let-rowData="rowData" pTemplate="body">
                <button
                  pButton
                  type="submit"
                  (click)="lihatBBM(rowData)"
                  icon="fa-eye"
                  pTooltip="Preview Detail BBM"
                  class="flat-button"
                ></button>
              </ng-template>
            </p-column>
            <ng-template
              let-rowData
              let-rowIndex="rowIndex"
              pTemplate="rowexpansion"
            >
            </ng-template>
          </p-dataTable>
        </p-tabPanel>
        <p-tabPanel header="Approve">
          <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
              <input
                [hidden]="internal !== 'TEKNIK'"
                type="text"
                class="form-control"
                [(ngModel)]="currentSearch"
                id="currentSearch"
                name="currentSearch"
                placeholder="Please Insert BBM Number or Name Supplier Or Code Supplier Or No PO"
              />
              <input
                [hidden]="internal === 'TEKNIK'"
                type="text"
                class="form-control"
                [(ngModel)]="currentSearch"
                id="currentSearch"
                name="currentSearch"
                placeholder="Please Insert BBM Number Or Code Supplier Or No PO"
              />
              <button
                class="input-group-addon btn btn-info flat-style-button"
                (click)="searchApprove(currentSearch)"
                *ngIf="currentSearch"
              >
                <span class="fa fa-search"></span>
              </button>
              <button
                class="input-group-addon btn btn-danger flat-style-button"
                (click)="clear()"
                *ngIf="currentSearch"
              >
                <span class="fa fa-trash-o"></span>
              </button>
            </div>
          </form>
          <br />

          <p-dataTable
            *ngIf="internal === 'TEKNIK'"
            [value]="approveBBMTeknik"
            [(selection)]="selected"
            [editable]="true"
            [rows]="itemsPerPage"
            [headerCheckboxToggleAllPages]="true"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10, 15, 20]"
            [totalRecords]="totalItemsApprove"
            [responsive]="true"
            [lazy]="true"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItemsApprove"
            dataKey="no_bbm"
            expandableRows="false"
            rowHover="true"
            (onLazyLoad)="loadDataLazy($event)"
          >
            <p-header> </p-header>
            <p-column
              selectionMode="multiple"
              [style]="{ width: '38px' }"
            ></p-column>
            <p-column
              header="{{ 'global.field.sequence' | translate }}"
              [style]="{ width: '70px', 'text-align': 'center' }"
            >
              <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{ rowIndex + 1 }}
              </ng-template>
            </p-column>
            <p-column header="No BBM">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_bbm }}
              </ng-template>
            </p-column>
            <p-column header="Tanggal BBM">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.tgl_bbm | date : "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="No. PP">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_pp }}
              </ng-template>
            </p-column>
            <p-column header="No. PO">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_po }}
              </ng-template>
            </p-column>
            <p-column header="Pemasok">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.supplier }}
              </ng-template>
            </p-column>
            <p-column header="No SJ">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_sj }}
              </ng-template>
            </p-column>
            <p-column header="Tgl SJ">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.tgl_sj | date : "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Status">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.status1 }}
              </ng-template>
            </p-column>
            <p-column header="Di Buat Oleh">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.iduser }}
              </ng-template>
            </p-column>
            <p-column
              header="Action"
              [style]="{ width: '150px', 'text-align': 'center' }"
            >
              <ng-template let-rowData="rowData" pTemplate="body">
                <button
                  pButton
                  type="submit"
                  (click)="lihatBBMT(rowData)"
                  icon="fa-eye"
                  pTooltip="Preview Detail BBM"
                  class="flat-button"
                ></button>
              </ng-template>
            </p-column>
            <ng-template
              let-rowData
              let-rowIndex="rowIndex"
              pTemplate="rowexpansion"
            >
            </ng-template>
          </p-dataTable>

          <p-dataTable
            *ngIf="internal !== 'TEKNIK'"
            [value]="approveBBM"
            [(selection)]="selected"
            [editable]="true"
            [rows]="itemsPerPage"
            [headerCheckboxToggleAllPages]="true"
            [totalRecords]="totalItemsApprove"
            [responsive]="true"
            [lazy]="true"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItemsNew"
            dataKey="no_bbm"
            expandableRows="false"
            rowHover="true"
            (onLazyLoad)="loadDataLazy($event)"
          >
            <p-header> </p-header>
            <p-column
              header="{{ 'global.field.sequence' | translate }}"
              [style]="{ width: '70px', 'text-align': 'center' }"
            >
              <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{ rowIndex + 1 }}
              </ng-template>
            </p-column>
            <!-- <a [routerLink]="['../../approval-job-order-edit/'+ jobOrder.idOrder]" (click)="gotoDetail(jobOrder)" style="color:black;"></a> -->
            <p-column header="No BBM">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_bbm }}
              </ng-template>
            </p-column>
            <p-column header="Tanggal BBM">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.tgl_bbm | date : "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Nomor PO">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_po }}
              </ng-template>
            </p-column>
            <p-column header="Supplier">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.kd_supplier }} - {{ rowData.nm_supplier }}
              </ng-template>
            </p-column>
            <p-column header="No Surat Jalan">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_sj_supplier }}
              </ng-template>
            </p-column>
            <p-column header="Tanggal Surat Jalan">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.tgl_sj_supplier | date : "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Dibuat Oleh">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.iduser }}
              </ng-template>
            </p-column>
            <p-column header="Menyetujui">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.id_app }}
              </ng-template>
            </p-column>
            <p-column
              header="Action"
              [style]="{ width: '150px', 'text-align': 'center' }"
            >
              <ng-template let-rowData="rowData" pTemplate="body">
                <button
                  pButton
                  type="submit"
                  (click)="lihatBBM(rowData)"
                  icon="fa-eye"
                  pTooltip="Preview Detail BBM"
                  class="flat-button"
                ></button>
              </ng-template>
            </p-column>
            <ng-template
              let-rowData
              let-rowIndex="rowIndex"
              pTemplate="rowexpansion"
            >
            </ng-template>
          </p-dataTable>
        </p-tabPanel>
        <p-tabPanel header="Not Approve" *ngIf="internal === 'TEKNIK'">
          <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
              <input
                [hidden]="internal !== 'TEKNIK'"
                type="text"
                class="form-control"
                [(ngModel)]="currentSearch"
                id="currentSearch"
                name="currentSearch"
                placeholder="Please Insert BBM Number or Name Supplier Or Code Supplier Or No PO"
              />
              <button
                class="input-group-addon btn btn-info flat-style-button"
                (click)="searchNotApprove(currentSearch)"
                *ngIf="currentSearch"
              >
                <span class="fa fa-search"></span>
              </button>
              <button
                class="input-group-addon btn btn-danger flat-style-button"
                (click)="clear()"
                *ngIf="currentSearch"
              >
                <span class="fa fa-trash-o"></span>
              </button>
            </div>
          </form>
          <br />

          <p-dataTable
            [value]="notapporveBBMTeknik"
            [(selection)]="selected"
            [editable]="true"
            [rows]="itemsPerPage"
            [headerCheckboxToggleAllPages]="true"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10, 15, 20]"
            [totalRecords]="totalItemsNotApprove"
            [responsive]="true"
            [lazy]="true"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItemsNotApprove"
            dataKey="no_bbm"
            expandableRows="false"
            rowHover="true"
            (onLazyLoad)="loadDataLazy($event)"
          >
            <p-header> </p-header>
            <p-column
              selectionMode="multiple"
              [style]="{ width: '38px' }"
            ></p-column>
            <p-column
              header="{{ 'global.field.sequence' | translate }}"
              [style]="{ width: '70px', 'text-align': 'center' }"
            >
              <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{ rowIndex + 1 }}
              </ng-template>
            </p-column>
            <p-column header="No BBM">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_bbm }}
              </ng-template>
            </p-column>
            <p-column header="Tanggal BBM">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.tgl_bbm | date : "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="No. PP">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_pp }}
              </ng-template>
            </p-column>
            <p-column header="No. PO">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_po }}
              </ng-template>
            </p-column>
            <p-column header="Pemasok">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.supplier }}
              </ng-template>
            </p-column>
            <p-column header="No SJ">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.no_sj }}
              </ng-template>
            </p-column>
            <p-column header="Tgl SJ">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.tgl_sj | date : "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Status">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.status1 }}
              </ng-template>
            </p-column>
            <p-column header="Di Buat Oleh">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.iduser }}
              </ng-template>
            </p-column>
            <p-column
              header="Action"
              [style]="{ width: '150px', 'text-align': 'center' }"
            >
              <ng-template let-rowData="rowData" pTemplate="body">
                <button
                  pButton
                  type="submit"
                  (click)="lihatBBMT(rowData)"
                  icon="fa-eye"
                  pTooltip="Preview Detail BBM"
                  class="flat-button"
                ></button>
              </ng-template>
            </p-column>
            <ng-template
              let-rowData
              let-rowIndex="rowIndex"
              pTemplate="rowexpansion"
            >
            </ng-template>
          </p-dataTable>
        </p-tabPanel>
      </p-tabView>

      <p-dialog
        header="Detail BBM"
        [(visible)]="modalLihatBBM"
        modal="true"
        [width]="1000"
        (onHide)="backapp()"
      >
        <form name="lihatpo" role="form" novalidate #editForm="ngForm">
          <div>
            <p-dataTable
              [value]="detailBBM"
              [editable]="true"
              [rows]="itemsPerPage"
              [paginator]="false"
              [pageLinks]="5"
              [rowsPerPageOptions]="[10, 15, 20]"
              [totalRecords]="totalItems"
              [responsive]="true"
              [lazy]="true"
              row="itemsPerPage"
              totalRecords="totalItems"
              dataKey="no_bbm"
              expandableRows="false"
              rowHover="true"
              (onLazyLoad)="loadDataLazy($event)"
              sortMode="multiple"
            >
              <p-header> </p-header>
              <p-column
                header="No"
                [style]="{ width: '70px', 'text-align': 'center' }"
              >
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                  {{ rowIndex + 1 }}
                </ng-template>
              </p-column>
              <p-column header="Barang">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.kd_bahan }} - {{ rowData.nmbahan }}
                </ng-template>
              </p-column>
              <p-column header="Qty">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.qty }}
                </ng-template>
              </p-column>
              <p-column header="Satuan">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.satuan }}
                </ng-template>
              </p-column>
              <p-column header="Batch Barang">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.no_batch }}
                </ng-template>
              </p-column>
              <p-column header="Tanggal Kadaluarsa">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.tgl_exp | date : "dd-MM-yyyy" }}
                </ng-template>
              </p-column>
              <p-column header="Halal Kadaluarsa">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.tgl_exphal | date : "dd-MM-yyyy" }}
                </ng-template>
              </p-column>
              <p-column header="Status">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.hasil }}
                </ng-template>
              </p-column>
              <p-column header="Keterangan">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.keterangan }}
                </ng-template>
              </p-column>
              <ng-template
                let-rowData
                let-rowIndex="rowIndex"
                pTemplate="rowexpansion"
              >
              </ng-template>
              
            </p-dataTable>
            <br/>
            <br/>
            <h5><span style="color: rgba(0, 128, 0, 0.548);">Total Qty : {{total | number:'1.0-2'}}</span></h5>
          </div>
        </form>
      </p-dialog>

      <p-dialog
        header="Detail BBM"
        [(visible)]="modalLihatBBMT"
        modal="true"
        [width]="1000"
        (onHide)="backapp1()"
      >
        <form name="lihatpo" role="form" novalidate #editForm="ngForm">
          <div>
            <p-dataTable
              [value]="detailBBMT"
              [editable]="true"
              [rows]="itemsPerPage"
              [paginator]="false"
              [pageLinks]="5"
              [rowsPerPageOptions]="[10, 15, 20]"
              [totalRecords]="totalItems"
              [responsive]="true"
              [lazy]="true"
              row="itemsPerPage"
              totalRecords="totalItems"
              dataKey="no_bbm"
              expandableRows="false"
              rowHover="true"
              (onLazyLoad)="loadDataLazy($event)"
              sortMode="multiple"
            >
              <p-header> </p-header>
              <p-column
                header="No"
                [style]="{ width: '70px', 'text-align': 'center' }"
              >
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                  {{ rowIndex + 1 }}
                </ng-template>
              </p-column>
              <p-column header="Barang">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.kd_bahan }} - {{ rowData.nmbahan }}
                </ng-template>
              </p-column>
              <p-column header="Qty">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.qty }}
                </ng-template>
              </p-column>
              <p-column header="Satuan">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.satuan }}
                </ng-template>
              </p-column>
              <p-column header="Batch Barang">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.no_batch }}
                </ng-template>
              </p-column>
              <p-column header="Tanggal Kadaluarsa">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.tgl_exp | date : "dd-MM-yyyy" }}
                </ng-template>
              </p-column>
              <p-column header="Halal Kadaluarsa">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.tgl_exphal | date : "dd-MM-yyyy" }}
                </ng-template>
              </p-column>
              <p-column header="Status">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.hasil }}
                </ng-template>
              </p-column>
              <p-column header="Keterangan">
                <ng-template let-rowData="rowData" pTemplate="body">
                  {{ rowData.keterangan }}
                </ng-template>
              </p-column>
              <ng-template
                let-rowData
                let-rowIndex="rowIndex"
                pTemplate="rowexpansion"
              >
              </ng-template>
            </p-dataTable>
          </div>
        </form>
      </p-dialog>
    </div>
  </div>
</div>
